PartDesign Fillet: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
No edit summary
Line 29: Line 29:
The tool {{KEY|[[File:PartDesign_Fillet.png|16px|text-top=Fillet|link=PartDesign_Fillet]] [[ PartDesign_Fillet|Fillet]]}} can be used in a macro, and, from the Python console using the following function :
The tool {{KEY|[[File:PartDesign_Fillet.png|16px|text-top=Fillet|link=PartDesign_Fillet]] [[ PartDesign_Fillet|Fillet]]}} can be used in a macro, and, from the Python console using the following function :
</translate>
</translate>
{{Code|code=
<syntaxhighlight>
Box = Box.makeFillet(3,[Box.Edges[0]]) # 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[0]]) # 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
}}
</syntaxhighlight>
<translate>
<translate>


Line 43: Line 43:
Example :
Example :
</translate>
</translate>
{{Code|code=
<syntaxhighlight>
import PartDesign
import PartDesign
from FreeCAD import Base
from FreeCAD import Base
Line 51: Line 51:
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
Part.show(Box)
Part.show(Box)
}}
</syntaxhighlight>

{{clear}}
{{clear}}



Revision as of 16:19, 25 November 2016

PartDesign Fillet

Menu location
PartDesign → Fillet
Workbenches
PartDesign, Complete
Default shortcut
None
Introduced in version
-
See also
Part Fillet

Description

This tool creates fillets (rounds) on the selected edges of an object. A new separate Fillet entry (followed by a sequential number if there are already existing fillets in the document) is created in the Project tree.

Select edges on the object before starting the tool.
Set the fillet radius in the Fillet parameters.
A Fillet object is added in the Project tree.

Usage

  • Select a single or multiple edges on an object, then start the tool either by clicking its icon or going into the menu.
  • In Fillet parameters in the TaskPanel, set the fillet radius either by entering the value, or by clicking on the up/down arrows. The applied fillet is shown in real time.
  • Click OK to validate.
  • For a chain of edges tangential to one another, one single edge can be selected; the fillet will propagate along the chain.
  • To edit the fillet after the function has been validated, either double-click on the Fillet label in the Project tree, or right-click on it and select Edit Fillet.

PartDesign Fillet VS. Part Fillet

The PartDesign Fillet is not to be confused with its Part workbench counterpart. Although they share the same icon, they are not the same, and are not used the same way. Here is how they differ from each other:

  • The PartDesign Fillet is parametric. After a fillet has been applied, its radius can be edited; this is not possible with the Part Fillet.
  • Edges must be selected on an object before activating the PartDesign Fillet. WIth the Part Fillet, the tool can be started, then a solid is selected, then edges.
  • The PartDesign Fillet creates a separate Fillet entry (followed by a sequential number if there are already existing fillets) in the Project tree. The Part Fillet becomes the parent of the object it was applied to.
  • The PartDesign Fillet offers a live preview of the fillet applied to the object before validating the function.
  • The Part Fillet supports variable radii (with a start radius and an end radius). The PartDesign fillet doesn't.

Scripting

The tool text-top=Fillet Fillet can be used in a macro, and, from the Python console using the following function :

Box = Box.makeFillet(3,[Box.Edges[0]]) # 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
  • 3 = radius
  • Box.Edges[2] = Edge with its number


Example :

import PartDesign
from FreeCAD import Base

Box = Part.makeBox(10,10,10)
Box = Box.makeFillet(3,[Box.Edges[0]]) # pour 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
Part.show(Box)